Bug 1490432 - gnome-weather-3.25.9x needs gjs >= 1.49.4
Summary: gnome-weather-3.25.9x needs gjs >= 1.49.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-weather
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 14:28 UTC by Yanko Kaneti
Modified: 2017-09-25 18:07 UTC (History)
5 users (show)

Fixed In Version: gnome-weather-3.26.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-25 18:07:25 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1490351 0 unspecified CLOSED gnome-shell crashes 10+ times a day due to gjs bug, we need to either upgrade to 1.49.92 or downgrade to 1.48.7 2021-02-22 00:41:40 UTC

Internal Links: 1490351

Description Yanko Kaneti 2017-09-11 14:28:58 UTC
Description of problem:
gnome-weather-3.25.92-1.fc27.noarch needs a newer gjs (specifically one built with mozjs52)

otherwise currently:
(org.gnome.Weather.Application:1450): Gjs-CRITICAL **: JS ERROR: SyntaxError: class is a reserved identifier @ resource:///org/gnome/Weather/Application/js/app/currentLocationController.js:33
JS_EvaluateScript() failed

Another way to "fix" it is to revert the two upstream patches modernizing the js class syntax.

Comment 1 Kalev Lember 2017-09-21 02:27:59 UTC
We now have gjs 1.50.0 and I've bumped the minimum required version in gnome-weather accordingly.

Comment 2 Fedora Update System 2017-09-21 02:29:59 UTC
gnome-weather-3.26.0-2.fc27 mozjs52-52.3.0-1.fc27 gjs-1.50.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-275b1e9bf2

Comment 3 Fedora Update System 2017-09-21 23:58:33 UTC
gjs-1.50.0-1.fc27, gnome-weather-3.26.0-2.fc27, mozjs52-52.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-275b1e9bf2

Comment 4 Fedora Update System 2017-09-25 18:07:25 UTC
gjs-1.50.0-1.fc27, gnome-weather-3.26.0-2.fc27, mozjs52-52.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.